Debian Bug report logs - #598308
vdr-dbg: CVE-2010-3387: insecure library loading

version graph

Package: vdr-dbg; Maintainer for vdr-dbg is Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>; Source for vdr-dbg is src:vdr.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 28 Sep 2010 04:25:25 UTC

Severity: normal

Tags: patch, security

Found in versions vdr/1.6.0-19, vdr/1.6.0-18

Fixed in version vdr/1.6.0-19.1

Done: Jari Aalto <jari.aalto@cante.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Tue, 28 Sep 2010 04:25:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 04:25:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: vdr-dbg: CVE-2010-3387: insecure library loading
Date: Tue, 28 Sep 2010 04:23:26 +0000
Package: vdr-dbg
Version: 1.6.0-18
Severity: grave
Tags: security
User: team@security.debian.org
Usertags: ldpath

Hello,

During a review of the Debian archive, I've found your package to
contain a script that can be abused by an attacker to execute arbitrary
code.

The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/vdrleaktest line 73:
LANG=C LD_LIBRARY_PATH="/usr/lib/debug;$LD_LIBRARY_PATH" \
   valgrind --tool=memcheck --leak-check=yes --num-callers=20 \
   --suppressions=/usr/share/vdr/valgrind.supp \
   /usr/bin/vdr-dbg -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR  -r $REC_CMD \
   -E $EPG_FILE -g /tmp $OPTIONS --port $SVDRP_PORT --lirc \
   "$@"

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.

This vulnerability has been assigned the CVE id CVE-2010-3387. Please make sure
you mention it when forwarding this report to upstream and when fixing
this bug (everywhere: upstream and here at Debian.)

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3387
[1] http://security-tracker.debian.org/tracker/CVE-2010-3387

Sincerely,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Tue, 28 Sep 2010 14:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 14:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 598308@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Raphael Geissert <geissert@debian.org>, 598308@bugs.debian.org
Subject: Re: Bug#598308: vdr-dbg: CVE-2010-3387: insecure library loading
Date: Tue, 28 Sep 2010 16:36:06 +0200
[Message part 1 (text/plain, inline)]
On Tue, Sep 28, 2010 at 04:23:26 +0000, Raphael Geissert wrote:

> Package: vdr-dbg
> Version: 1.6.0-18
> Severity: grave
> Tags: security
> User: team@security.debian.org
> Usertags: ldpath
> 
> Hello,
> 
> During a review of the Debian archive, I've found your package to
> contain a script that can be abused by an attacker to execute arbitrary
> code.
> 
> The vulnerability is introduced by an insecure change to
> LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
> libraries on a directory other than the standard paths.
> 
> Vulnerable code follows:
> 
> /usr/bin/vdrleaktest line 73:
> LANG=C LD_LIBRARY_PATH="/usr/lib/debug;$LD_LIBRARY_PATH" \
>    valgrind --tool=memcheck --leak-check=yes --num-callers=20 \
>    --suppressions=/usr/share/vdr/valgrind.supp \
>    /usr/bin/vdr-dbg -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR  -r $REC_CMD \
>    -E $EPG_FILE -g /tmp $OPTIONS --port $SVDRP_PORT --lirc \
>    "$@"
> 
> When there's an empty item on the colon-separated list of
> LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
> If the given script is executed from a directory where a potential,
> local, attacker can write files to, there's a chance to exploit this
> bug.
> 
LD_LIBRARY_PATH is colon-separated, though, not semicolon-separated, so
LD_LIBRARY_PATH="/usr/lib/debug;$LD_LIBRARY_PATH" is broken, but not a
security issue.  Besides, this looks like a debugging utility so I don't
think it would warrant 'grave' severity even if the bug was there.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Sat, 02 Oct 2010 21:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Grimm <etobi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Sat, 02 Oct 2010 21:33:09 GMT) Full text and rfc822 format available.

Message #15 received at 598308@bugs.debian.org (full text, mbox):

From: Tobias Grimm <etobi@debian.org>
To: 598308@bugs.debian.org
Cc: geissert@debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#598308: vdr-dbg: CVE-2010-3387: insecure library loading
Date: Sat, 02 Oct 2010 23:29:23 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Julien Cristau wrote:

> LD_LIBRARY_PATH is colon-separated, though, not semicolon-separated, so
> LD_LIBRARY_PATH="/usr/lib/debug;$LD_LIBRARY_PATH" is broken, but not a
> security issue.  Besides, this looks like a debugging utility so I don't
> think it would warrant 'grave' severity even if the bug was there.

I have to a agree, it's just a debugging tool to start VDR with valgrind
to check for memory leaks. I'm setting the severity to normal. If you feel
it's still an security issue that should be fixed in Squeeze, please let
me know.

Tobias
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkynpDMACgkQ9xgNJq7apkJQ6wCghs0LfZ70/F2zb2HSR3VRyj4x
/T0AmwSbcsD2xSC6tsWvtoJJ/vClCrnP
=9Y9K
-----END PGP SIGNATURE-----




Severity set to 'normal' from 'grave' Request was from Tobias Grimm <etobi@debian.org> to control@bugs.debian.org. (Sat, 02 Oct 2010 21:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Sat, 16 Oct 2010 18:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jari.aalto@cante.net:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Sat, 16 Oct 2010 18:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 598308@bugs.debian.org (full text, mbox):

From: jari.aalto@cante.net
To: 598308@bugs.debian.org, 598308-submitter@bugs.debian.org
Subject: Bug#598308 vdr: NMU diff for 1.6.0-18.1
Date: Sat, 16 Oct 2010 21:06:11 +0300
[Message part 1 (text/plain, inline)]
Dear maintainer,

Here is the NMU diff according to DevRef 5.11.1[1][2] for bug: #598308.
See the debian/patches directory for the important fixes.

Let me know if it's ok to proceed with the NMU.

Thank you for maintaining the package,
Jari Aalto

[1] http://www.debian.org/doc/developers-reference/pkgs.html#nmu
[2] http://dep.debian.net/deps/dep1.html

lsdiff(1) of changes:

    vdr-1.6.0/debian/changelog
    vdr-1.6.0/debian/vdrleaktest

[vdr_1.6.0-18--1.6.0-18.1.deb.diff (text/x-diff, inline)]
diffstat for vdr_1.6.0-18 vdr_1.6.0-18.1

 changelog   |    8 ++++++++
 vdrleaktest |    2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff -u vdr-1.6.0/debian/changelog vdr-1.6.0/debian/changelog
--- vdr-1.6.0/debian/changelog
+++ vdr-1.6.0/debian/changelog
@@ -1,3 +1,11 @@
+vdr (1.6.0-18.1) unstable; urgency=low
+
+  * debian/vdrleaktest
+    - Asjust LD_LIBRARY_PATH use according to CVE-2010-3387.
+      (normal, security; Closes: #598308).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Oct 2010 20:59:56 +0300
+
 vdr (1.6.0-18) unstable; urgency=low
 
   * Added Danish translation of the debconf templates (Thx to Joe Hansen)
diff -u vdr-1.6.0/debian/vdrleaktest vdr-1.6.0/debian/vdrleaktest
--- vdr-1.6.0/debian/vdrleaktest
+++ vdr-1.6.0/debian/vdrleaktest
@@ -65,7 +65,7 @@
 
 /etc/init.d/vdr stop
 
-LANG=C LD_LIBRARY_PATH="/usr/lib/debug;$LD_LIBRARY_PATH" \
+LANG=C LD_LIBRARY_PATH="/usr/lib/debug:${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}" \
    valgrind --tool=memcheck --leak-check=yes --num-callers=20 \
    --suppressions=/usr/share/vdr/valgrind.supp \
    /usr/bin/vdr-dbg -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR  -r $REC_CMD \

Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#598308. (Sat, 16 Oct 2010 18:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Sun, 17 Oct 2010 09:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Grimm <tobias.grimm@e-tobi.net>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Sun, 17 Oct 2010 09:24:05 GMT) Full text and rfc822 format available.

Message #30 received at 598308@bugs.debian.org (full text, mbox):

From: Tobias Grimm <tobias.grimm@e-tobi.net>
To: jari.aalto@cante.net, 598308@bugs.debian.org
Subject: Re: Bug#598308: vdr: NMU diff for 1.6.0-18.1
Date: Sun, 17 Oct 2010 11:21:33 +0200
Hello!

Am Samstag, den 16.10.2010, 21:06 +0300 schrieb jari.aalto@cante.net:

> Here is the NMU diff according to DevRef 5.11.1[1][2] for bug: #598308.
> See the debian/patches directory for the important fixes.
> 
> Let me know if it's ok to proceed with the NMU.

Thanks! You don't need to do an NMU, cause I'm going to upload a new
version today anyways. I've included your patch.

Do you think it's worth requesting a freeze exception because of this
bug?

Thx,

Tobias






Added tag(s) pending. Request was from Tobias Grimm <etobi@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 09:51:05 GMT) Full text and rfc822 format available.

Reply sent to Tobias Grimm <etobi@debian.org>:
You have taken responsibility. (Mon, 18 Oct 2010 07:39:08 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Mon, 18 Oct 2010 07:39:08 GMT) Full text and rfc822 format available.

Message #37 received at 598308-close@bugs.debian.org (full text, mbox):

From: Tobias Grimm <etobi@debian.org>
To: 598308-close@bugs.debian.org
Subject: Bug#598308: fixed in vdr 1.6.0-19
Date: Mon, 18 Oct 2010 07:32:11 +0000
Source: vdr
Source-Version: 1.6.0-19

We believe that the bug you reported is fixed in the latest version of
vdr, which is due to be installed in the Debian FTP archive:

vdr-dbg_1.6.0-19_amd64.deb
  to main/v/vdr/vdr-dbg_1.6.0-19_amd64.deb
vdr-dev_1.6.0-19_all.deb
  to main/v/vdr/vdr-dev_1.6.0-19_all.deb
vdr-plugin-examples_1.6.0-19_amd64.deb
  to main/v/vdr/vdr-plugin-examples_1.6.0-19_amd64.deb
vdr-plugin-sky_1.6.0-19_amd64.deb
  to main/v/vdr/vdr-plugin-sky_1.6.0-19_amd64.deb
vdr_1.6.0-19.diff.gz
  to main/v/vdr/vdr_1.6.0-19.diff.gz
vdr_1.6.0-19.dsc
  to main/v/vdr/vdr_1.6.0-19.dsc
vdr_1.6.0-19_amd64.deb
  to main/v/vdr/vdr_1.6.0-19_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598308@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tobias Grimm <etobi@debian.org> (supplier of updated vdr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 17 Oct 2010 11:27:55 +0200
Source: vdr
Binary: vdr vdr-dev vdr-dbg vdr-plugin-sky vdr-plugin-examples
Architecture: source all amd64
Version: 1.6.0-19
Distribution: unstable
Urgency: low
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Changed-By: Tobias Grimm <etobi@debian.org>
Description: 
 vdr        - Video Disk Recorder for DVB cards
 vdr-dbg    - Debuggable version of the VDR Video Disk Recorder
 vdr-dev    - Video Disk Recorder for DVB cards
 vdr-plugin-examples - Plugins for vdr to show some possible features
 vdr-plugin-sky - Plugin for using a Sky Digibox with vdr
Closes: 596593 598308
Changes: 
 vdr (1.6.0-19) unstable; urgency=low
 .
   * Fixed DEB_BUILD_OPTIONS export in in vdrdbg-buildpackage
     (Closes: #596593)
 .
 vdr (1.6.0-18.1) unstable; urgency=low
 .
   * debian/vdrleaktest
     - Asjust LD_LIBRARY_PATH use according to CVE-2010-3387.
       (normal, security; Closes: #598308).
Checksums-Sha1: 
 4b6bea091c6238f00ff39ae1d5870012137ec8a4 1418 vdr_1.6.0-19.dsc
 eba95e4ce43aea708ef7f2e7e2a375c720a427e4 146437 vdr_1.6.0-19.diff.gz
 0fe8b7a0016e12f618a62b2056a4f3ee9746bfd7 295736 vdr-dev_1.6.0-19_all.deb
 6f1e12e4c11eb50c5e12df627b677fc15c8f5081 877790 vdr_1.6.0-19_amd64.deb
 505485f14c3ff3b43f558a2b1264bbbc52e8dbf9 1254752 vdr-dbg_1.6.0-19_amd64.deb
 8f9b53d8cf3b64e6baa23f1e92435a746b4db479 33680 vdr-plugin-sky_1.6.0-19_amd64.deb
 61b286b032bdd2fc75166a7a2cbbe6e9ca7f649c 76116 vdr-plugin-examples_1.6.0-19_amd64.deb
Checksums-Sha256: 
 fa52984a069efa84ec20bfa367fa6c1d08ca211b4922e1a05381c3b7894805ad 1418 vdr_1.6.0-19.dsc
 8d0c5891a61ba9ec2b17f7a5d7c2e00405b135b4d07f60ee47009e0f538cc9b0 146437 vdr_1.6.0-19.diff.gz
 ccc9e7a5e7a686a7b77b197489fa23c5060c01e61d6290223cd2474b05a7afba 295736 vdr-dev_1.6.0-19_all.deb
 dfe06c1a5e92abcb0f553508b57296f02d15adeb8e7774ac2de2ea96d1701df8 877790 vdr_1.6.0-19_amd64.deb
 e2b0443a4b34caa9a77eb53c2bd89d2e96b53c195ff391578a00bc73ff58c92e 1254752 vdr-dbg_1.6.0-19_amd64.deb
 e0b582d9b520d897fba3c68c6a19c3e952b02c697cc074606a1357279db6fc6d 33680 vdr-plugin-sky_1.6.0-19_amd64.deb
 5ba1fa124427dc793668be8214bc3cbe89e94aa6e3f0a19a9746065b59451e53 76116 vdr-plugin-examples_1.6.0-19_amd64.deb
Files: 
 ab837e453b237dc99508c3beeb4b4ba3 1418 video extra vdr_1.6.0-19.dsc
 55f74081a44da11318792837fe554170 146437 video extra vdr_1.6.0-19.diff.gz
 9047ec081196f49510684c0d8eb2dde8 295736 video extra vdr-dev_1.6.0-19_all.deb
 c3cf0725ddf88708881900caed18437b 877790 video extra vdr_1.6.0-19_amd64.deb
 a750a2bce77d8f4be41f5e0a701d5a19 1254752 debug extra vdr-dbg_1.6.0-19_amd64.deb
 92dffee2800ea7af417deacab68a019b 33680 video extra vdr-plugin-sky_1.6.0-19_amd64.deb
 dfa2e7d220ad5b1b35cbf7d783294924 76116 video extra vdr-plugin-examples_1.6.0-19_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAky7884ACgkQ9xgNJq7apkJ2KwCfafJFAPe6sC4EEmXpqVxlP4wF
dQ0AnA2fxFMZUFQVA110+hQkCWDZQ16a
=IXwA
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Mon, 18 Oct 2010 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Mon, 18 Oct 2010 08:09:05 GMT) Full text and rfc822 format available.

Message #42 received at 598308@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: jari.aalto@cante.net, 598308@bugs.debian.org
Cc: 598308-submitter@bugs.debian.org
Subject: Re: Bug#598308: vdr: NMU diff for 1.6.0-18.1
Date: Mon, 18 Oct 2010 10:08:14 +0200
[Message part 1 (text/plain, inline)]
On Sat, Oct 16, 2010 at 21:06:11 +0300, jari.aalto@cante.net wrote:

> diff -u vdr-1.6.0/debian/vdrleaktest vdr-1.6.0/debian/vdrleaktest
> --- vdr-1.6.0/debian/vdrleaktest
> +++ vdr-1.6.0/debian/vdrleaktest
> @@ -65,7 +65,7 @@
>  
>  /etc/init.d/vdr stop
>  
> -LANG=C LD_LIBRARY_PATH="/usr/lib/debug;$LD_LIBRARY_PATH" \
> +LANG=C LD_LIBRARY_PATH="/usr/lib/debug:${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}" \
>     valgrind --tool=memcheck --leak-check=yes --num-callers=20 \
>     --suppressions=/usr/share/vdr/valgrind.supp \
>     /usr/bin/vdr-dbg -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR  -r $REC_CMD \

This patch is broken.  There's a superfluous `:' after /usr/lib/debug.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#598308. (Mon, 18 Oct 2010 08:09:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions vdr/1.6.0-19; no longer marked as fixed in versions vdr/1.6.0-19 and reopened. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 18 Oct 2010 08:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Mon, 18 Oct 2010 10:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Mon, 18 Oct 2010 10:30:06 GMT) Full text and rfc822 format available.

Message #52 received at 598308@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 598308@bugs.debian.org
Cc: 598308-submitter@bugs.debian.org
Subject: Re: Bug#598308: vdr-dbg: CVE-2010-3387: insecure library loading
Date: Mon, 18 Oct 2010 13:26:24 +0300
>> +LANG=C LD_LIBRARY_PATH="/usr/lib/debug:${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}" \
>>     valgrind --tool=memcheck --leak-check=yes --num-callers=20 \
>
> [julien]
> This patch is broken.  There's a superfluous `:' after /usr/lib/debug.

And I noticed that there is a bigger problem lurking:

    (
        LD_LIBRARY_PATH="::"
        LD_LIBRARY_PATH="/usr/lib/debug:${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
        echo $LD_LIBRARY_PATH
    )

    #  /usr/lib/debug::::

Jari




Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#598308. (Mon, 18 Oct 2010 10:30:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Mon, 18 Oct 2010 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Mon, 18 Oct 2010 10:45:04 GMT) Full text and rfc822 format available.

Message #60 received at 598308@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 598308@bugs.debian.org, 598308-submitter@bugs.debian.org
Cc: <jcristau@debian.org>
Subject: Re: Bug#598308: vdr-dbg: CVE-2010-3387: insecure library loading (NMU 1.6.0-19.1)
Date: Mon, 18 Oct 2010 13:42:43 +0300
[Message part 1 (text/plain, inline)]
> [julien] This patch is broken.  There's a superfluous `:' after /usr/lib/debug.
> [jari] There is bigger problem with "::"

New is new proposed NMU to address the security issue better.

Jari

[vdr_1.6.0-19--1.6.0-19.1.deb.diff (text/x-diff, inline)]
diffstat for vdr_1.6.0-19 vdr_1.6.0-19.1

 changelog   |   11 ++++++++++-
 vdrleaktest |   15 ++++++++++++++-
 2 files changed, 24 insertions(+), 2 deletions(-)

diff -u vdr-1.6.0/debian/changelog vdr-1.6.0/debian/changelog
--- vdr-1.6.0/debian/changelog
+++ vdr-1.6.0/debian/changelog
@@ -1,3 +1,12 @@
+vdr (1.6.0-19.1) unstable; urgency=low
+
+  * debian/vdrleaktest
+   - Remove extra colon from LD_LIBRARY_PATH and improve security
+     by cleaning LD_LIBRARY_PATH with new function Pathclean().
+     (normal, security, reopened; Closes: #598308).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Mon, 18 Oct 2010 13:37:36 +0300
+
 vdr (1.6.0-19) unstable; urgency=low
 
   * Fixed DEB_BUILD_OPTIONS export in in vdrdbg-buildpackage
@@ -8,7 +17,7 @@
 vdr (1.6.0-18.1) unstable; urgency=low
 
   * debian/vdrleaktest
-    - Asjust LD_LIBRARY_PATH use according to CVE-2010-3387.
+    - Adjust LD_LIBRARY_PATH use according to CVE-2010-3387.
       (normal, security; Closes: #598308).
 
  -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Oct 2010 20:59:56 +0300
diff -u vdr-1.6.0/debian/vdrleaktest vdr-1.6.0/debian/vdrleaktest
--- vdr-1.6.0/debian/vdrleaktest
+++ vdr-1.6.0/debian/vdrleaktest
@@ -33,6 +33,16 @@
     cat "$0" | grep "$HELPCOMMENTPATTERN" | sed "s/$HELPCOMMENTPATTERN//"
 }
 
+Pathclean()
+{
+   # Vulnerability fix for insecure library loading
+   # Make sure "::", "^:" or ":$" is not left in path arg $1
+
+   local tmp123xyz
+   tmp123xyz=$(echo "$1" | sed -e 's/::\+// ; s/^:// ; s/:$//' )
+
+   [ "$tmp123xyz" ] && echo "$tmp"
+}
 
 while getopts h opt
 do
@@ -65,7 +75,10 @@
 
 /etc/init.d/vdr stop
 
-LANG=C LD_LIBRARY_PATH="/usr/lib/debug:${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}" \
+LD_LIBRARY_PATH="/usr/lib/debug${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
+LD_LIBRARY_PATH=$(Pathclean "$LD_LIBRARY_PATH")
+
+LANG=C LD_LIBRARY_PATH="$LD_LIBRARY_PATH" \
    valgrind --tool=memcheck --leak-check=yes --num-callers=20 \
    --suppressions=/usr/share/vdr/valgrind.supp \
    /usr/bin/vdr-dbg -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR  -r $REC_CMD \

Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#598308. (Mon, 18 Oct 2010 10:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Mon, 18 Oct 2010 10:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Mon, 18 Oct 2010 10:51:13 GMT) Full text and rfc822 format available.

Message #68 received at 598308@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jari Aalto <jari.aalto@cante.net>
Cc: 598308@bugs.debian.org, 598308-submitter@bugs.debian.org
Subject: Re: Bug#598308: vdr-dbg: CVE-2010-3387: insecure library loading (NMU 1.6.0-19.1)
Date: Mon, 18 Oct 2010 12:49:39 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 18, 2010 at 13:42:43 +0300, Jari Aalto wrote:

> +  * debian/vdrleaktest
> +   - Remove extra colon from LD_LIBRARY_PATH and improve security
> +     by cleaning LD_LIBRARY_PATH with new function Pathclean().
> +     (normal, security, reopened; Closes: #598308).
> +

That's not "improve security", that's "add obfuscation".  Just remove
the freaking colon...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#598308. (Mon, 18 Oct 2010 10:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Mon, 18 Oct 2010 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Mon, 18 Oct 2010 11:48:05 GMT) Full text and rfc822 format available.

Message #76 received at 598308@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 598308@bugs.debian.org, 598308-submitter@bugs.debian.org
Subject: Re: Bug#598308: vdr-dbg: CVE-2010-3387: insecure library loading (NMU 1.6.0-19.1)
Date: Mon, 18 Oct 2010 14:46:03 +0300
Julien Cristau <jcristau@debian.org> writes:

> On Mon, Oct 18, 2010 at 13:42:43 +0300, Jari Aalto wrote:
>
>> +  * debian/vdrleaktest
>> +   - Remove extra colon from LD_LIBRARY_PATH and improve security
>> +     by cleaning LD_LIBRARY_PATH with new function Pathclean().
>> +     (normal, security, reopened; Closes: #598308).
>> +
>
> That's not "improve security", that's "add obfuscation".  Just remove
> the freaking colon...

Removing the colon does not address this:

    (
        LD_LIBRARY_PATH="::"
        LD_LIBRARY_PATH="/usr/lib/debug${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
        echo $LD_LIBRARY_PATH
    )

    # /usr/lib/debug:::

as far as security is concerned:

    (
        Pathclean ()
        {
           # Vulnerability fix for insecure library loading
           # Make sure "::", "^:" or ":$" is not left in path arg $1

           local tmp123xyz
           tmp123xyz=$(echo "$1" | sed -e 's/::\+// ; s/^:// ; s/:$//' )

           [ "$tmp123xyz" ] && echo "$tmp123xyz"
        }

        LD_LIBRARY_PATH="::"
        LD_LIBRARY_PATH="/usr/lib/debug${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"

        echo "before: $LD_LIBRARY_PATH"

        echo -n "after: "
	Pathclean "$LD_LIBRARY_PATH"
    )

    # before: /usr/lib/debug:::
    # after: /usr/lib/debug

Raphael, you reported the CVE. Do you have any thoughts?

Jari

P.s noticed a slight bug in resent NMU concerning Pathclean().




Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#598308. (Mon, 18 Oct 2010 11:48:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Mon, 18 Oct 2010 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Mon, 18 Oct 2010 11:51:03 GMT) Full text and rfc822 format available.

Message #84 received at 598308@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jari Aalto <jari.aalto@cante.net>
Cc: 598308@bugs.debian.org, 598308-submitter@bugs.debian.org
Subject: Re: Bug#598308: vdr-dbg: CVE-2010-3387: insecure library loading (NMU 1.6.0-19.1)
Date: Mon, 18 Oct 2010 13:48:06 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 18, 2010 at 14:46:03 +0300, Jari Aalto wrote:

> Removing the colon does not address this:
> 
>     (
>         LD_LIBRARY_PATH="::"
>         LD_LIBRARY_PATH="/usr/lib/debug${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
>         echo $LD_LIBRARY_PATH
>     )
> 
That's not something that needs to be addressed.  That's you shooting
yourself in the foot.  Don't do that.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#598308. (Mon, 18 Oct 2010 11:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Thu, 21 Oct 2010 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jari.aalto@cante.net:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Thu, 21 Oct 2010 06:27:03 GMT) Full text and rfc822 format available.

Message #92 received at 598308@bugs.debian.org (full text, mbox):

From: jari.aalto@cante.net
To: 598308@bugs.debian.org
Cc: Tobias Grimm <etobi@debian.org>
Subject: Bug#598308 vdr: NMU diff for 1.6.0-19.1 (CVE-2010-3387 followup)
Date: Thu, 21 Oct 2010 09:23:55 +0300
[Message part 1 (text/plain, inline)]
Hi Tobias,

Here are the fixes are oulined by Julien. Would you upload this or let
me know if it is ok to proceed with the NMU.

Thanks,
Jari Aalto

lsdiff(1) of changes:

    vdr-1.6.0/debian/changelog
    vdr-1.6.0/debian/vdrleaktest

[vdr_1.6.0-19--1.6.0-19.1.deb.diff (text/x-diff, inline)]
diffstat for vdr_1.6.0-19 vdr_1.6.0-19.1

 changelog   |   11 ++++++++++-
 vdrleaktest |   15 ++++++++++++++-
 2 files changed, 24 insertions(+), 2 deletions(-)

diff -u vdr-1.6.0/debian/changelog vdr-1.6.0/debian/changelog
--- vdr-1.6.0/debian/changelog
+++ vdr-1.6.0/debian/changelog
@@ -1,3 +1,12 @@
+vdr (1.6.0-19.1) unstable; urgency=low
+
+  * debian/vdrleaktest
+   - Remove extra colon from LD_LIBRARY_PATH and improve security
+     by cleaning LD_LIBRARY_PATH with new function Pathclean().
+     (normal, security, reopened; Closes: #598308).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Mon, 18 Oct 2010 13:37:36 +0300
+
 vdr (1.6.0-19) unstable; urgency=low
 
   * Fixed DEB_BUILD_OPTIONS export in in vdrdbg-buildpackage
@@ -8,7 +17,7 @@
 vdr (1.6.0-18.1) unstable; urgency=low
 
   * debian/vdrleaktest
-    - Asjust LD_LIBRARY_PATH use according to CVE-2010-3387.
+    - Adjust LD_LIBRARY_PATH use according to CVE-2010-3387.
       (normal, security; Closes: #598308).
 
  -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Oct 2010 20:59:56 +0300
diff -u vdr-1.6.0/debian/vdrleaktest vdr-1.6.0/debian/vdrleaktest
--- vdr-1.6.0/debian/vdrleaktest
+++ vdr-1.6.0/debian/vdrleaktest
@@ -33,6 +33,16 @@
     cat "$0" | grep "$HELPCOMMENTPATTERN" | sed "s/$HELPCOMMENTPATTERN//"
 }
 
+Pathclean()
+{
+   # Vulnerability fix for insecure library loading
+   # Make sure "::", "^:" or ":$" is not left in path arg $1
+
+   local tmp123xyz
+   tmp123xyz=$(echo "$1" | sed -e 's/::\+// ; s/^:// ; s/:$//' )
+
+   [ "$tmp123xyz" ] && echo "$tmp"
+}
 
 while getopts h opt
 do
@@ -65,7 +75,10 @@
 
 /etc/init.d/vdr stop
 
-LANG=C LD_LIBRARY_PATH="/usr/lib/debug:${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}" \
+LD_LIBRARY_PATH="/usr/lib/debug${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
+LD_LIBRARY_PATH=$(Pathclean "$LD_LIBRARY_PATH")
+
+LANG=C LD_LIBRARY_PATH="$LD_LIBRARY_PATH" \
    valgrind --tool=memcheck --leak-check=yes --num-callers=20 \
    --suppressions=/usr/share/vdr/valgrind.supp \
    /usr/bin/vdr-dbg -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR  -r $REC_CMD \

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Thu, 21 Oct 2010 07:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Thu, 21 Oct 2010 07:36:03 GMT) Full text and rfc822 format available.

Message #97 received at 598308@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 598308@bugs.debian.org
Cc: Tobias Grimm <etobi@debian.org>
Subject: Re: Bug#598308: vdr: NMU diff for 1.6.0-19.1 (CVE-2010-3387 followup)
Date: Thu, 21 Oct 2010 10:33:25 +0300
[Message part 1 (text/plain, inline)]
jari.aalto@cante.net writes:

> Hi Tobias,
>
> Here are the fixes are oulined by Julien. Would you upload this or let
> me know if it is ok to proceed with the NMU.
>
> Thanks,
> Jari Aalto
>
> lsdiff(1) of changes:
>
>     vdr-1.6.0/debian/changelog
>     vdr-1.6.0/debian/vdrleaktest

That was wrong diff. Here is the one.

Jari

[vdr_1.6.0-19--1.6.0-19.1.deb.diff (text/x-diff, inline)]
diffstat for vdr_1.6.0-19 vdr_1.6.0-19.1

 changelog   |    8 ++++++++
 vdrleaktest |    2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff -u vdr-1.6.0/debian/changelog vdr-1.6.0/debian/changelog
--- vdr-1.6.0/debian/changelog
+++ vdr-1.6.0/debian/changelog
@@ -1,3 +1,11 @@
+vdr (1.6.0-19.1) unstable; urgency=low
+
+  * debian/vdrleaktest
+    - Remove extra colon from LD_LIBRARY_PATH to fix CVE-2010-3387.
+      (normal, security; Closes: #598308).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Oct 2010 09:18:54 +0300
+
 vdr (1.6.0-19) unstable; urgency=low
 
   * Fixed DEB_BUILD_OPTIONS export in in vdrdbg-buildpackage
diff -u vdr-1.6.0/debian/vdrleaktest vdr-1.6.0/debian/vdrleaktest
--- vdr-1.6.0/debian/vdrleaktest
+++ vdr-1.6.0/debian/vdrleaktest
@@ -65,7 +65,7 @@
 
 /etc/init.d/vdr stop
 
-LANG=C LD_LIBRARY_PATH="/usr/lib/debug:${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}" \
+LANG=C LD_LIBRARY_PATH="/usr/lib/debug${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}" \
    valgrind --tool=memcheck --leak-check=yes --num-callers=20 \
    --suppressions=/usr/share/vdr/valgrind.supp \
    /usr/bin/vdr-dbg -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR  -r $REC_CMD \

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#598308; Package vdr-dbg. (Mon, 25 Oct 2010 04:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. (Mon, 25 Oct 2010 04:45:05 GMT) Full text and rfc822 format available.

Message #102 received at 598308@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: 598308@bugs.debian.org
Subject: vdr: diff for NMU version 1.6.0-19.1
Date: Sun, 24 Oct 2010 21:40:17 -0700
tags 598308 + patch
tags 598308 + pending
thanks

Dear maintainer,

I've sponsored an NMU for vdr (versioned as 1.6.0-19.1) and
uploaded it to DELAYED/5. Please feel free to tell me if I
should delay it longer or remove it from the upload queue.

Thank you,
tony mancill

diff -u vdr-1.6.0/debian/changelog vdr-1.6.0/debian/changelog
--- vdr-1.6.0/debian/changelog
+++ vdr-1.6.0/debian/changelog
@@ -1,3 +1,11 @@
+vdr (1.6.0-19.1) unstable; urgency=low
+
+  * debian/vdrleaktest
+    - Remove extra colon from LD_LIBRARY_PATH to fix CVE-2010-3387.
+      (normal, security; Closes: #598308).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Oct 2010 09:18:54 +0300
+
 vdr (1.6.0-19) unstable; urgency=low
 
   * Fixed DEB_BUILD_OPTIONS export in in vdrdbg-buildpackage
diff -u vdr-1.6.0/debian/vdrleaktest vdr-1.6.0/debian/vdrleaktest
--- vdr-1.6.0/debian/vdrleaktest
+++ vdr-1.6.0/debian/vdrleaktest
@@ -65,7 +65,7 @@
 
 /etc/init.d/vdr stop
 
-LANG=C LD_LIBRARY_PATH="/usr/lib/debug:${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}" \
+LANG=C LD_LIBRARY_PATH="/usr/lib/debug${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}" \
    valgrind --tool=memcheck --leak-check=yes --num-callers=20 \
    --suppressions=/usr/share/vdr/valgrind.supp \
    /usr/bin/vdr-dbg -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR  -r $REC_CMD \




Added tag(s) patch. Request was from tony mancill <tmancill@debian.org> to control@bugs.debian.org. (Mon, 25 Oct 2010 04:45:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from tony mancill <tmancill@debian.org> to control@bugs.debian.org. (Mon, 25 Oct 2010 04:45:07 GMT) Full text and rfc822 format available.

Reply sent to Jari Aalto <jari.aalto@cante.net>:
You have taken responsibility. (Sat, 30 Oct 2010 05:06:07 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Sat, 30 Oct 2010 05:06:07 GMT) Full text and rfc822 format available.

Message #111 received at 598308-close@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 598308-close@bugs.debian.org
Subject: Bug#598308: fixed in vdr 1.6.0-19.1
Date: Sat, 30 Oct 2010 05:02:09 +0000
Source: vdr
Source-Version: 1.6.0-19.1

We believe that the bug you reported is fixed in the latest version of
vdr, which is due to be installed in the Debian FTP archive:

vdr-dbg_1.6.0-19.1_i386.deb
  to main/v/vdr/vdr-dbg_1.6.0-19.1_i386.deb
vdr-dev_1.6.0-19.1_all.deb
  to main/v/vdr/vdr-dev_1.6.0-19.1_all.deb
vdr-plugin-examples_1.6.0-19.1_i386.deb
  to main/v/vdr/vdr-plugin-examples_1.6.0-19.1_i386.deb
vdr-plugin-sky_1.6.0-19.1_i386.deb
  to main/v/vdr/vdr-plugin-sky_1.6.0-19.1_i386.deb
vdr_1.6.0-19.1.diff.gz
  to main/v/vdr/vdr_1.6.0-19.1.diff.gz
vdr_1.6.0-19.1.dsc
  to main/v/vdr/vdr_1.6.0-19.1.dsc
vdr_1.6.0-19.1_i386.deb
  to main/v/vdr/vdr_1.6.0-19.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598308@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jari Aalto <jari.aalto@cante.net> (supplier of updated vdr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 21 Oct 2010 09:18:54 +0300
Source: vdr
Binary: vdr vdr-dev vdr-dbg vdr-plugin-sky vdr-plugin-examples
Architecture: source all i386
Version: 1.6.0-19.1
Distribution: unstable
Urgency: low
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Changed-By: Jari Aalto <jari.aalto@cante.net>
Description: 
 vdr        - Video Disk Recorder for DVB cards
 vdr-dbg    - Debuggable version of the VDR Video Disk Recorder
 vdr-dev    - Video Disk Recorder for DVB cards
 vdr-plugin-examples - Plugins for vdr to show some possible features
 vdr-plugin-sky - Plugin for using a Sky Digibox with vdr
Closes: 598308
Changes: 
 vdr (1.6.0-19.1) unstable; urgency=low
 .
   * debian/vdrleaktest
     - Remove extra colon from LD_LIBRARY_PATH to fix CVE-2010-3387.
       (normal, security; Closes: #598308).
Checksums-Sha1: 
 63d30115c1f60603bdd46bcd3ed3638b5dd5d82e 2066 vdr_1.6.0-19.1.dsc
 e1b1fd49660731df94f5c1a62a7a40a388845177 146335 vdr_1.6.0-19.1.diff.gz
 b5ae5d11a43e8c4d14e77ce13586112c096a79f4 292300 vdr-dev_1.6.0-19.1_all.deb
 8d68a3cce07598c6fc43e33496356cd7420babeb 860834 vdr_1.6.0-19.1_i386.deb
 0e5638ebecf9bfac59934223acd5806206dcbd31 1394704 vdr-dbg_1.6.0-19.1_i386.deb
 bd94e2fff9594682d2538944154566bc9f1444dc 33618 vdr-plugin-sky_1.6.0-19.1_i386.deb
 a8df7ce60d02020fe341ee80d35d2ce87bfc82cc 74054 vdr-plugin-examples_1.6.0-19.1_i386.deb
Checksums-Sha256: 
 57d0888136d8c288f7aae861d2502440729de75e62ee07e87921b62792997816 2066 vdr_1.6.0-19.1.dsc
 3fa66c31b3f8ca0280e35c83949018408f2dd71b05e2e4b8c6ab2bd0a02ff00d 146335 vdr_1.6.0-19.1.diff.gz
 04aedef6ea26669a1b748d958307cd03841062f9fccf0bbae11a54a4ce5396d4 292300 vdr-dev_1.6.0-19.1_all.deb
 14f7ee0041f3fa96580b5b44e04a34fcee17aba8af0228b32117b8d534d3e882 860834 vdr_1.6.0-19.1_i386.deb
 d6c0dc5a11140b2cda13d68a807477c8a9265c9c857fb4a21c145f3a588827f8 1394704 vdr-dbg_1.6.0-19.1_i386.deb
 29229adaf99af66836b6a270991d277d35e99406009f6e1206ba8f780d3cd6e9 33618 vdr-plugin-sky_1.6.0-19.1_i386.deb
 a5e1b3944bcc8e2652c8a6a4797357ee4162f8d0060ff5d693a328937a54070b 74054 vdr-plugin-examples_1.6.0-19.1_i386.deb
Files: 
 059bf7128cfed015af1fafd034ba5852 2066 video extra vdr_1.6.0-19.1.dsc
 8a756e4cf0da4db8686388f71fa4636e 146335 video extra vdr_1.6.0-19.1.diff.gz
 bf2fb88baabf0d874b731222ecc24097 292300 video extra vdr-dev_1.6.0-19.1_all.deb
 8fcd5ce6af4587ba28ee3a4eb00ac843 860834 video extra vdr_1.6.0-19.1_i386.deb
 caf0aab8f303607ed963e97ab925df72 1394704 debug extra vdr-dbg_1.6.0-19.1_i386.deb
 2b13b38370c8cc9c6026277dd7ae1f6d 33618 video extra vdr-plugin-sky_1.6.0-19.1_i386.deb
 4829a5b024d64db974f2a73eeeab09ef 74054 video extra vdr-plugin-examples_1.6.0-19.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMxQm/AAoJECHSBYmXSz6WUL4QAI5CCM9qqgpmipYhNo5gwBVU
qHrCtgAzdAxIRMA9/M4mVMH4WBkXpX7/gAbCRQ9g0lyzIbnk2ci7/n+rvb//PSQQ
L/RVLpyOixMUoTOvBW+svq1GXpP2jxGbLD0wP/EkO1YsXgfRy78gvFoJRTA7moDF
Bvkn9dIU7RuqTSRBrD+KXr1CU/SW2Cg3yCrP35CK5//MpYMDzPyYYnu5Iv11T78P
fglKiqhYUgWPo5wxABwwIKRGyJCPG/4BqO5CV5YpJo+NykcasekNaEc8DF4nr0Uq
yzQXiUAeEi6b0JoUSL5wMWsnfuxJ9XWuIJi0DLl9H6z2C16ccZdyQZzdr+5+C6op
pR9fDNrQt4S2wBRXvlC2z3AfaZdvQDZPlUqsJZeiypCk2kF7uQ8FdYVxHpKPBXLs
FkF+XOixXwRQuTbsm8aGKd2bFMZ3Zp/7yjgXDuOIB5JWBPatwB9PhqmsyPoyU7h4
Q4vuzpJT0MlJcTRbZfsPwoOO7rpJOD4Y7cYdaDSiIfrhdQlq5kVLt3i+JU8F8ROn
qlfE8pRQeavfJTxJaIhuRx1+zhoMTPgNqjc08tN0MB5Ql8PVO3+2OzHS4gmPfr1P
ixQY1LT4s6WjXMa7PqxR+foA6j340lXgXmi+TduBSq3F9G6+ssVwPRWlGTZuKFqD
xPrNsohadODyGoHnX3L8
=xDI4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Dec 2010 07:31:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:14:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.